org.apache.jmeter.protocol.http.sampler

## Class HTTPHC4Impl.HttpGetWithEntity

- java.lang.Object
- - org.apache.http.message.AbstractHttpMessage
  - - org.apache.http.client.methods.AbstractExecutionAwareRequest
    - - org.apache.http.client.methods.HttpRequestBase
      - - org.apache.http.client.methods.HttpEntityEnclosingRequestBase
        - - org.apache.jmeter.protocol.http.sampler.HTTPHC4Impl.HttpGetWithEntity

- All Implemented Interfaces:
    java.lang.Cloneable, org.apache.http.client.methods.AbortableHttpRequest, org.apache.http.client.methods.Configurable, org.apache.http.client.methods.HttpExecutionAware, org.apache.http.client.methods.HttpUriRequest, org.apache.http.HttpEntityEnclosingRequest, org.apache.http.HttpMessage, org.apache.http.HttpRequest
  Enclosing class:
    HTTPHC4Impl

      public static final class HTTPHC4Impl.HttpGetWithEntity
      extends org.apache.http.client.methods.HttpEntityEnclosingRequestBase

  Implementation that allows GET method to have a body

- - ### Field Summary

    - ### Fields inherited from class org.apache.http.message.AbstractHttpMessage

      `headergroup, params`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpGetWithEntity(java.net.URI uri)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getMethod()`

    - ### Methods inherited from class org.apache.http.client.methods.HttpEntityEnclosingRequestBase

      `clone, expectContinue, getEntity, setEntity`

    - ### Methods inherited from class org.apache.http.client.methods.HttpRequestBase

      `getConfig, getProtocolVersion, getRequestLine, getURI, releaseConnection, setConfig, setProtocolVersion, setURI, started, toString`

    - ### Methods inherited from class org.apache.http.client.methods.AbstractExecutionAwareRequest

      `abort, completed, isAborted, reset, setCancellable, setConnectionRequest, setReleaseTrigger`

    - ### Methods inherited from class org.apache.http.message.AbstractHttpMessage

      `addHeader, addHeader, containsHeader, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, getParams, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setParams`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.http.HttpRequest

      `getRequestLine`

    - ### Methods inherited from interface org.apache.http.HttpMessage

      `addHeader, addHeader, containsHeader, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, getParams, getProtocolVersion, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setParams`

    - ### Methods inherited from interface org.apache.http.client.methods.HttpUriRequest

      `abort, isAborted`

- - ### Constructor Detail

    - #### HttpGetWithEntity

          public HttpGetWithEntity(java.net.URI uri)

  - ### Method Detail

    - #### getMethod

          public java.lang.String getMethod()

      Specified by:
        `getMethod` in interface `org.apache.http.client.methods.HttpUriRequest`
      Specified by:
        `getMethod` in class `org.apache.http.client.methods.HttpRequestBase`

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.